Page MenuHomePhabricator

Update authoratiative nameservers for the toolforge.org domain to point to Designate
Closed, ResolvedPublic

Description

We want to manage DNS for toolforge.org via OpenStack Designate, so the authoritative nameservers should be set to cloud-ns{0,1}.wikimedia.org

$ whois wmflabs.org | grep "Name Server"
Name Server: CLOUD-NS0.WIKIMEDIA.ORG
Name Server: CLOUD-NS1.WIKIMEDIA.ORG
$ whois toolforge.org | grep "Name Server"
Name Server: NS0.WIKIMEDIA.ORG
Name Server: NS1.WIKIMEDIA.ORG
Name Server: NS2.WIKIMEDIA.ORG

Event Timeline

This will need to be communicated to MarkMonitor who register domains on WMF's behalf... Is that via the foundation legal team or can ops do it directly?

Restricted Application added projects: Operations, Traffic. · View Herald TranscriptOct 11 2019, 8:29 PM
aborrero assigned this task to Andrew.Oct 14 2019, 9:47 AM
aborrero triaged this task as High priority.
aborrero moved this task from Inbox to Important on the cloud-services-team (Kanban) board.

I believe the last person doing this kind of movement was @Andrew, so assigning to him to see if he can provide further info. I couldn't find any docs on wikitech.

ema moved this task from Triage to DNS Names on the Traffic board.Oct 14 2019, 5:40 PM
Andrew added a subscriber: RobH.Oct 15 2019, 1:17 PM

@RobH should I email Doneva myself and cc you for approval or do you want to reach out yourself?

RobH added a comment.Oct 15 2019, 3:12 PM

@RobH should I email Doneva myself and cc you for approval or do you want to reach out yourself?

@Andrew,

I'll email her right now and CC you, explaining what has to happen and that you are authorized to do so!

Any news on this one? CC @Andrew @RobH

RobH added a comment.Oct 21 2019, 4:53 PM

@RobH should I email Doneva myself and cc you for approval or do you want to reach out yourself?

@Andrew,
I'll email her right now and CC you, explaining what has to happen and that you are authorized to do so!

Not sure where that email went, since I never sent it and cannot find it. Sent another just now.

RobH added a comment.Oct 21 2019, 4:57 PM

Andrew CC'd.

Hanna,
Normally we email Doneva for this, but her auto-reply advises she is out of the office.
Can you modify our toolforge.org domain nameservers and adjust them as follows:
Name Server: NS0.WIKIMEDIA.ORG
Name Server: NS1.WIKIMEDIA.ORG
Name Server: NS2.WIKIMEDIA.ORG
We would like them set to the following:
Name Server: CLOUD-NS0.WIKIMEDIA.ORG
Name Server: CLOUD-NS1.WIKIMEDIA.ORG
Please advise if any further info is needed from us for this to be set by MarkMonitor.
Thanks!

Hi Rob and Andrew,

 

The DNS has been updated for the two domains to the two nameservers listed below.

 

Domains:

toolforge.org

wmcloud.org

 

New Nameservers:

CLOUD-NS0.WIKIMEDIA.ORG
CLOUD-NS1.WIKIMEDIA.ORG

 

 

Thank you,

Hanna
Andrew closed this task as Resolved.Oct 21 2019, 5:42 PM